Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.impl
Class SAttributeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.metaabm.impl.IIDImpl
                      org.metaabm.impl.SNamedImpl
                          org.metaabm.impl.SAttributeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, IID, ITyped, IValue, SAttribute, SNamed

Direct Known Subclasses:
  SAttributeArrayImpl, SStateImpl

    public class SAttributeImpl

extends SNamedImpl
implements SAttribute

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`boolean` | `accepts(IValue value)`
`static void` | `agentAccessors(SAgent parent, IValue attribute, java.util.Collection<org.eclipse.emf.ecore.EObject> searchObjects)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetOwner(SAttributed newOwner, org.eclipse.emf.common.notify.NotificationChain msgs)`
`static org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` | `collectAccessors(org.eclipse.emf.ecore.EObject value, java.util.Collection<org.eclipse.emf.ecore.EObject> searchObjects)`
`int` | `eBaseStructuralFeatureID(int derivedFeatureID, java.lang.Class<?> baseClass)`
`org.eclipse.emf.common.notify.NotificationChain` | `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`int` | `eDerivedStructuralFeatureID(int baseFeatureID, java.lang.Class<?> baseClass)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` | `getAccessors()`
`org.eclipse.emf.common.util.EList<SAttributeType>` | `getAvailableTypes()` Returns the value of the 'Available Types' attribute list.
`java.lang.String` | `getDefaultValue()`
`SAttributed` | `getOwner()`
`SAttributeType` | `getSType()`
`java.lang.String` | `getUnits()`
`boolean` | `isGatherData()`
`boolean` | `isImmutable()`
`boolean` | `references(IValue value)`
`void` | `setDefaultValue(java.lang.String newDefaultValue)`
`void` | `setGatherData(boolean newGatherData)`
`void` | `setImmutable(boolean newImmutable)`
`void` | `setOwner(SAttributed newOwner)`
`void` | `setSType(SAttributeType newSType)`
`void` | `setUnits(java.lang.String newUnits)`
`java.lang.String` | `toString()`

Methods inherited from class org.metaabm.impl.SNamedImpl
`getDescription, getPluralLabel, setDescription, setID, setPluralLabel`

Methods inherited from class org.metaabm.impl.IIDImpl
`getID, getLabel, setLabel`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, setDescription, setPluralLabel`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getAccessors

    public org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> getAccessors()

  Specified by:
    `getAccessors` in interface `IValue`
  Returns:
    the value of the 'Accessors' reference list.
  See Also:
    `MetaABMPackage.getIValue_Accessors()`

### agentAccessors

    public static void agentAccessors(SAgent parent,
                                      IValue attribute,
                                      java.util.Collection<org.eclipse.emf.ecore.EObject> searchObjects)

### collectAccessors

    public static org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> collectAccessors(org.eclipse.emf.ecore.EObject value,
                                                                                                    java.util.Collection<org.eclipse.emf.ecore.EObject> searchObjects)

### getSType

    public SAttributeType getSType()

  Specified by:
    `getSType` in interface `ITyped`
  Returns:
    the value of the 'SType' attribute.
  See Also:
    `SAttributeType`, `ITyped.setSType(SAttributeType)`, `MetaABMPackage.getITyped_SType()`

### setSType

    public void setSType(SAttributeType newSType)

  Specified by:
    `setSType` in interface `ITyped`
  Parameters:
    `newSType` - the new value of the 'SType' attribute.
  See Also:
    `SAttributeType`, `ITyped.getSType()`

### getOwner

    public SAttributed getOwner()

  Specified by:
    `getOwner` in interface `SAttribute`
  Returns:
    the value of the 'Owner' container reference.
  See Also:
    `SAttribute.setOwner(SAttributed)`, `MetaABMPackage.getSAttribute_Owner()`, `SAttributed.getAttributes()`

### basicSetOwner

    public org.eclipse.emf.common.notify.NotificationChain basicSetOwner(SAttributed newOwner,
                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setOwner

    public void setOwner(SAttributed newOwner)

  Specified by:
    `setOwner` in interface `SAttribute`
  Parameters:
    `newOwner` - the new value of the 'Owner' container reference.
  See Also:
    `SAttribute.getOwner()`

### isGatherData

    public boolean isGatherData()

  Specified by:
    `isGatherData` in interface `SAttribute`
  Returns:
    the value of the 'Gather Data' attribute.
  See Also:
    `SAttribute.setGatherData(boolean)`, `MetaABMPackage.getSAttribute_GatherData()`

### setGatherData

    public void setGatherData(boolean newGatherData)

  Specified by:
    `setGatherData` in interface `SAttribute`
  Parameters:
    `newGatherData` - the new value of the 'Gather Data' attribute.
  See Also:
    `SAttribute.isGatherData()`

### getDefaultValue

    public java.lang.String getDefaultValue()

  Specified by:
    `getDefaultValue` in interface `SAttribute`
  Returns:
    the value of the 'Default Value' attribute.
  See Also:
    `SAttribute.setDefaultValue(String)`, `MetaABMPackage.getSAttribute_DefaultValue()`

### setDefaultValue

    public void setDefaultValue(java.lang.String newDefaultValue)

  Specified by:
    `setDefaultValue` in interface `SAttribute`
  Parameters:
    `newDefaultValue` - the new value of the 'Default Value' attribute.
  See Also:
    `SAttribute.getDefaultValue()`

### getUnits

    public java.lang.String getUnits()

  Specified by:
    `getUnits` in interface `SAttribute`
  Returns:
    the value of the 'Units' attribute.
  See Also:
    `SAttribute.setUnits(String)`, `MetaABMPackage.getSAttribute_Units()`

### setUnits

    public void setUnits(java.lang.String newUnits)

  Specified by:
    `setUnits` in interface `SAttribute`
  Parameters:
    `newUnits` - the new value of the 'Units' attribute.
  See Also:
    `SAttribute.getUnits()`

### isImmutable

    public boolean isImmutable()

  Specified by:
    `isImmutable` in interface `SAttribute`
  Returns:
    the value of the 'Immutable' attribute.
  See Also:
    `SAttribute.setImmutable(boolean)`, `MetaABMPackage.getSAttribute_Immutable()`

### setImmutable

    public void setImmutable(boolean newImmutable)

  Specified by:
    `setImmutable` in interface `SAttribute`
  Parameters:
    `newImmutable` - the new value of the 'Immutable' attribute.
  See Also:
    `SAttribute.isImmutable()`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `SNamedImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `SNamedImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `SNamedImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `SNamedImpl`

### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        java.lang.Class<?> baseClass)

  Specified by:
    `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           java.lang.Class<?> baseClass)

  Specified by:
    `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getAvailableTypes

    public org.eclipse.emf.common.util.EList<SAttributeType> getAvailableTypes()

  Description copied from interface: `IValue`
  Returns the value of the 'Available Types' attribute list. The list contents are of type `SAttributeType`. The literals are from the enumeration `SAttributeType`.

  If the meaning of the 'Available Types' attribute list isn't clear, there really should be more of a description here...

  Specified by:
    `getAvailableTypes` in interface `IValue`
  Returns:
    the value of the 'Available Types' attribute list.
  See Also:
    `SAttributeType`, `MetaABMPackage.getIValue_AvailableTypes()`

### accepts

    public boolean accepts(IValue value)

  Specified by:
    `accepts` in interface `SAttribute`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SNamedImpl`

### references

    public boolean references(IValue value)

  Specified by:
    `references` in interface `IValue`
  Specified by:
    `references` in interface `SNamed`
  Overrides:
    `references` in class `SNamedImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD